import { SdkContext, SdkModelPropertyTypeBase, SdkPathParameter } from "@azure-tools/typespec-client-generator-core";
import { Enum, EnumMember, Model, ModelProperty, Operation, Scalar } from "@typespec/compiler";
import { InputParameter } from "../type/input-parameter.js";
export declare function capitalize(str: string): string;
export declare function getNameForTemplate(model: Model): string;
export declare function getTypeName(context: SdkContext, type: Model | Enum | EnumMember | ModelProperty | Scalar | Operation): string;
export declare function createContentTypeOrAcceptParameter(mediaTypes: string[], name: string, nameInRequest: string): InputParameter;
export declare function isSdkPathParameter(parameter: SdkModelPropertyTypeBase): parameter is SdkPathParameter;
//# sourceMappingURL=utils.d.ts.map