// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
export var InputTypeSerializationFormat;
(function (InputTypeSerializationFormat) {
    InputTypeSerializationFormat[InputTypeSerializationFormat["Default"] = 0] = "Default";
    InputTypeSerializationFormat[InputTypeSerializationFormat["Base64Url"] = 1] = "Base64Url";
    InputTypeSerializationFormat[InputTypeSerializationFormat["Byte"] = 2] = "Byte";
    InputTypeSerializationFormat[InputTypeSerializationFormat["Date"] = 3] = "Date";
    InputTypeSerializationFormat[InputTypeSerializationFormat["Time"] = 4] = "Time";
    InputTypeSerializationFormat[InputTypeSerializationFormat["DateTime"] = 5] = "DateTime";
    InputTypeSerializationFormat[InputTypeSerializationFormat["DateTimeUnix"] = 6] = "DateTimeUnix";
    InputTypeSerializationFormat[InputTypeSerializationFormat["DateTimeRFC1123"] = 7] = "DateTimeRFC1123";
    InputTypeSerializationFormat[InputTypeSerializationFormat["Duration"] = 8] = "Duration";
    InputTypeSerializationFormat[InputTypeSerializationFormat["DurationConstant"] = 9] = "DurationConstant";
    InputTypeSerializationFormat[InputTypeSerializationFormat["Json"] = 10] = "Json";
    InputTypeSerializationFormat[InputTypeSerializationFormat["Xml"] = 11] = "Xml";
})(InputTypeSerializationFormat || (InputTypeSerializationFormat = {}));
//# sourceMappingURL=input-type-serialization-format.js.map